import { defineComponent as A, computed as g, openBlock as p, createElementBlock as m, normalizeClass as $, mergeProps as X, createBlock as I, resolveDynamicComponent as J, createCommentVNode as z, renderSlot as L, createElementVNode as C, withKeys as Bt, withModifiers as tt, toDisplayString as P, createTextVNode as ie, ref as O, watch as ye, onMounted as st, onUnmounted as _t, withDirectives as Oe, vModelText as Pt, Fragment as ue, renderList as Ee, vShow as nt, normalizeStyle as E, unref as M, Transition as Ie, withCtx as ke, Teleport as ot, createVNode as Re, shallowRef as At, getCurrentScope as rt, onScopeDispose as lt, shallowReadonly as le, readonly as Ot, toValue as Rt, inject as Vt, provide as Lt } from "vue";
const je = {
  primary: {
    base: "blue",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  secondary: {
    base: "gray",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  success: {
    base: "green",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  warning: {
    base: "yellow",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  danger: {
    base: "red",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  info: {
    base: "sky",
    light: "50",
    main: "600",
    dark: "700",
    hover: "700",
    border: "200",
    focus: "500"
  },
  dark: {
    base: "gray",
    light: "100",
    main: "900",
    dark: "950",
    hover: "800",
    border: "300",
    focus: "700"
  },
  light: {
    base: "gray",
    light: "50",
    main: "100",
    dark: "200",
    hover: "200",
    border: "200",
    focus: "300"
  }
}, se = (t, e, s = {}) => {
  const { hover: o = !1, active: n = !1, focus: l = !1, disabled: a = !1 } = s;
  if (a)
    return "bg-gray-100 border-gray-200 text-gray-400 cursor-not-allowed";
  const r = je[t];
  if (!r || e === "default")
    return "";
  const i = [];
  switch (e) {
    case "filled":
      i.push(`bg-${r.base}-${r.main}`), i.push("text-white"), o && i.push(`hover:bg-${r.base}-${r.hover}`), n && i.push(`active:bg-${r.base}-${r.dark}`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
    case "light":
      i.push(`bg-${r.base}-${r.light}`), i.push(`text-${r.base}-${r.main}`), i.push(`border border-${r.base}-${r.border}`), o && i.push(`hover:bg-${r.base}-100`), n && i.push(`active:bg-${r.base}-200`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
    case "outline":
      i.push("bg-white"), i.push(`text-${r.base}-${r.main}`), i.push(`border-2 border-${r.base}-${r.main}`), o && i.push(`hover:bg-${r.base}-50`), n && i.push(`active:bg-${r.base}-100`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
    case "subtle":
      i.push(`text-${r.base}-${r.main}`), o && i.push(`hover:bg-${r.base}-50`), n && i.push(`active:bg-${r.base}-100`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
    case "white":
      i.push("bg-white text-gray-900"), o && i.push("hover:bg-gray-50"), n && i.push("active:bg-gray-100"), l && i.push("focus:ring-gray-200");
      break;
    case "dot":
      i.push(`bg-${r.base}-${r.main}`);
      break;
    case "bordered":
      i.push("bg-white"), i.push(`text-${r.base}-${r.main}`), i.push(`border border-${r.base}-${r.border}`), o && i.push(`hover:bg-${r.base}-50 hover:border-${r.base}-${r.main}`), n && i.push(`active:bg-${r.base}-100`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
    case "bordered-transparent":
      i.push("bg-transparent"), i.push(`text-${r.base}-${r.main}`), i.push(`border border-${r.base}-${r.border}`), o && i.push(`hover:bg-${r.base}-50/10 hover:border-${r.base}-${r.main}`), n && i.push(`active:bg-${r.base}-100/20`), l && i.push(`focus:ring-${r.base}-${r.focus}/20`);
      break;
  }
  return i.join(" ");
}, Dt = (t, e) => {
  if (e === "filled")
    return "text-white";
  const s = je[t];
  return `text-${s.base}-${s.main}`;
}, Tt = (t, e) => {
  if (e === "filled")
    return "text-white";
  const s = je[t];
  return `text-${s.base}-${s.main}`;
}, Mt = (t) => {
  const e = ["shadow-sm", "transition-all duration-200"];
  switch (t) {
    case "filled":
      e.push("border-transparent");
      break;
    case "light":
      e.push("border");
      break;
    case "outline":
      e.push("border-2");
      break;
    case "subtle":
      e.push("shadow-none");
      break;
    case "white":
      e.push("border");
      break;
    default:
      e.push("border");
  }
  return e.join(" ");
}, Fe = {
  button: {
    xs: { padding: { x: "px-2", y: "py-1" }, text: "text-xs", icon: "w-3 h-3" },
    sm: { padding: { x: "px-3", y: "py-1.5" }, text: "text-sm", icon: "w-4 h-4" },
    md: { padding: { x: "px-4", y: "py-2" }, text: "text-base", icon: "w-5 h-5" },
    lg: { padding: { x: "px-5", y: "py-2.5" }, text: "text-lg", icon: "w-6 h-6" },
    xl: { padding: { x: "px-6", y: "py-3" }, text: "text-xl", icon: "w-7 h-7" }
  },
  badge: {
    xs: { padding: { x: "px-2", y: "py-0.5" }, text: "text-xs", icon: "w-3 h-3" },
    sm: { padding: { x: "px-2.5", y: "py-1" }, text: "text-sm", icon: "w-3.5 h-3.5" },
    md: { padding: { x: "px-3", y: "py-1.5" }, text: "text-base", icon: "w-4 h-4" },
    lg: { padding: { x: "px-4", y: "py-2" }, text: "text-lg", icon: "w-5 h-5" },
    xl: { padding: { x: "px-5", y: "py-2.5" }, text: "text-xl", icon: "w-6 h-6" }
  },
  input: {
    xs: { padding: { x: "px-2", y: "py-1" }, text: "text-xs", height: "h-7" },
    sm: { padding: { x: "px-3", y: "py-1.5" }, text: "text-sm", height: "h-8" },
    md: { padding: { x: "px-3", y: "py-2" }, text: "text-base", height: "h-10" },
    lg: { padding: { x: "px-4", y: "py-2.5" }, text: "text-lg", height: "h-11" },
    xl: { padding: { x: "px-4", y: "py-3" }, text: "text-xl", height: "h-12" }
  },
  notification: {
    xs: { padding: { x: "px-3", y: "py-2" }, text: "text-xs" },
    sm: { padding: { x: "px-4", y: "py-2.5" }, text: "text-sm" },
    md: { padding: { x: "px-4", y: "py-3" }, text: "text-base" },
    lg: { padding: { x: "px-5", y: "py-4" }, text: "text-lg" },
    xl: { padding: { x: "px-6", y: "py-5" }, text: "text-xl" }
  },
  switch: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", height: "h-4" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-6" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-lg", height: "h-7" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-xl", height: "h-8" }
  },
  chip: {
    xs: { padding: { x: "px-1.5", y: "py-0.5" }, text: "text-xs", icon: "w-2.5 h-2.5" },
    sm: { padding: { x: "px-2", y: "py-1" }, text: "text-sm", icon: "w-3 h-3" },
    md: { padding: { x: "px-2.5", y: "py-1.5" }, text: "text-base", icon: "w-3.5 h-3.5" },
    lg: { padding: { x: "px-3", y: "py-2" }, text: "text-lg", icon: "w-4 h-4" },
    xl: { padding: { x: "px-3.5", y: "py-2.5" }, text: "text-xl", icon: "w-4.5 h-4.5" }
  },
  checkbox: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", icon: "w-2 h-2" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", icon: "w-2.5 h-2.5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", icon: "w-3 h-3" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-lg", icon: "w-4 h-4" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-xl", icon: "w-5 h-5" }
  },
  indicator: {
    xs: { padding: { x: "px-0.5", y: "py-0.5" }, text: "text-[10px]", height: "h-3.5 min-w-3.5" },
    sm: { padding: { x: "px-1", y: "py-0.5" }, text: "text-[11px]", height: "h-4 min-w-4" },
    md: { padding: { x: "px-1.5", y: "py-0.5" }, text: "text-xs", height: "h-5 min-w-5" },
    lg: { padding: { x: "px-2", y: "py-0.5" }, text: "text-xs", height: "h-6 min-w-6" },
    xl: { padding: { x: "px-2.5", y: "py-0.5" }, text: "text-sm", height: "h-7 min-w-7" }
  },
  progress: {
    xs: { padding: { x: "px-0", y: "py-0" }, text: "text-xs", height: "h-1" },
    sm: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-1.5" },
    md: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-2" },
    lg: { padding: { x: "px-0", y: "py-0" }, text: "text-sm", height: "h-6" },
    xl: { padding: { x: "px-0", y: "py-0" }, text: "text-base", height: "h-8" }
  },
  alert: {
    xs: { padding: { x: "px-3", y: "py-2" }, text: "text-xs", icon: "w-4 h-4" },
    sm: { padding: { x: "px-3", y: "py-2.5" }, text: "text-sm", icon: "w-5 h-5" },
    md: { padding: { x: "px-4", y: "py-3" }, text: "text-base", icon: "w-5 h-5" },
    lg: { padding: { x: "px-5", y: "py-4" }, text: "text-lg", icon: "w-6 h-6" },
    xl: { padding: { x: "px-6", y: "py-5" }, text: "text-xl", icon: "w-7 h-7" }
  }
}, Z = (t, e) => {
  const s = Fe[e][t];
  return [s.padding.x, s.padding.y, s.text].filter(Boolean).join(" ");
}, at = (t, e) => Fe[e][t].icon || "", We = (t, e) => Fe[e][t].height || "", it = (t) => {
  switch (t) {
    case "xs":
      return "text-xs";
    case "sm":
      return "text-sm";
    case "md":
      return "text-base";
    case "lg":
      return "text-lg";
    case "xl":
      return "text-xl";
    default:
      return "text-base";
  }
}, dt = (t) => {
  switch (t) {
    case "xs":
      return "space-x-1";
    case "sm":
      return "space-x-2";
    case "md":
      return "space-x-3";
    case "lg":
      return "space-x-4";
    case "xl":
      return "space-x-5";
    default:
      return "space-x-3";
  }
}, he = (t) => {
  const e = [];
  return t.disabled && e.push("opacity-50 cursor-not-allowed pointer-events-none"), t.loading && e.push("cursor-wait"), t.active && e.push("ring-2 ring-offset-2"), t.error && e.push("border-red-300 focus:ring-red-500/20 focus:border-red-500"), t.success && e.push("border-green-300 focus:ring-green-500/20 focus:border-green-500"), e.join(" ");
}, Et = (t) => {
  const e = [];
  return t.valid && e.push("border-green-300 focus:ring-green-500/20 focus:border-green-500"), t.invalid && e.push("border-red-300 focus:ring-red-500/20 focus:border-red-500"), t.pending && e.push("border-yellow-300 focus:ring-yellow-500/20 focus:border-yellow-500"), e.join(" ");
}, It = (t, e = "primary") => {
  const s = [];
  return t.hover && s.push(`hover:bg-${e}-50`), t.active && s.push(`active:bg-${e}-100`), t.focus && s.push(`focus:outline-none focus:ring-2 focus:ring-${e}-500/20 focus:border-${e}-500`), s.join(" ");
}, jt = ["disabled", "type"], Ft = {
  key: 1,
  class: "mr-2"
}, xn = /* @__PURE__ */ A({
  __name: "Button",
  props: {
    variant: { default: "filled" },
    color: { default: "primary" },
    size: { default: "md" },
    radius: { default: "md" },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    fullWidth: { type: Boolean, default: !1 },
    type: { default: "button" },
    leftSection: {},
    rightSection: {},
    leftSectionProps: {},
    rightSectionProps: {},
    gradient: {}
  },
  emits: ["click"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = (r) => {
      !s.disabled && !s.loading && o("click", r);
    }, l = (r) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[r] || "rounded-lg", a = g(() => {
      const r = "inline-flex items-center justify-center font-medium transition-all duration-200", i = se(s.color, s.variant, {
        hover: !0,
        active: !0,
        focus: !0
      }), d = Z(s.size, "button"), c = s.leftSection || s.rightSection ? at(s.size, "button") : "", u = he({
        disabled: s.disabled,
        loading: s.loading
      }), x = l(s.radius);
      return [
        r,
        i,
        d,
        c,
        u,
        x,
        {
          "w-full": s.fullWidth,
          "cursor-pointer": !s.disabled && !s.loading
        }
      ];
    });
    return (r, i) => (p(), m("button", {
      class: $(a.value),
      disabled: r.disabled || r.loading,
      type: r.type,
      onClick: n
    }, [
      r.leftSection ? (p(), m("span", X({ key: 0 }, r.leftSectionProps, { class: "mr-2" }), [
        (p(), I(J(r.leftSection)))
      ], 16)) : z("", !0),
      r.loading ? (p(), m("span", Ft, [
        L(r.$slots, "loader", {}, () => [
          i[0] || (i[0] = C("svg", {
            class: "animate-spin h-4 w-4",
            xmlns: "http://www.w3.org/2000/svg",
            fill: "none",
            viewBox: "0 0 24 24"
          }, [
            C("circle", {
              class: "opacity-25",
              cx: "12",
              cy: "12",
              r: "10",
              stroke: "currentColor",
              "stroke-width": "4"
            }),
            C("path", {
              class: "opacity-75",
              fill: "currentColor",
              d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
            })
          ], -1))
        ])
      ])) : z("", !0),
      L(r.$slots, "default"),
      r.rightSection ? (p(), m("span", X({ key: 2 }, r.rightSectionProps, { class: "ml-2" }), [
        (p(), I(J(r.rightSection)))
      ], 16)) : z("", !0)
    ], 10, jt));
  }
}), ct = (t) => {
  const e = ["relative"];
  t.fullWidth && e.push("w-full");
  const s = he({
    disabled: t.disabled,
    error: t.error,
    required: t.required || t.withAsterisk
  });
  return s && e.push(s), e.join(" ");
}, ut = (t) => {
  const e = [
    "block",
    "font-medium",
    "mb-1"
  ];
  switch (t.size) {
    case "xs":
      e.push("text-xs");
      break;
    case "sm":
      e.push("text-sm");
      break;
    case "lg":
      e.push("text-lg");
      break;
    case "xl":
      e.push("text-xl");
      break;
    default:
      e.push("text-sm");
  }
  return t.error ? e.push("text-red-500") : t.disabled ? e.push("text-gray-400") : e.push("text-gray-700"), (t.required || t.withAsterisk) && e.push('after:content-["*"] after:ml-0.5 after:text-red-500'), e.join(" ");
}, ft = (t) => {
  const e = [
    "mt-1",
    "text-sm"
  ];
  return t.error ? e.push("text-red-500") : t.disabled ? e.push("text-gray-400") : e.push("text-gray-500"), e.join(" ");
}, Wt = ["aria-checked", "aria-disabled", "onKeydown"], Ht = {
  key: 2,
  class: "text-sm text-red-500 mt-0.5"
}, Nt = {
  name: "Checkbox"
}, bn = /* @__PURE__ */ A({
  ...Nt,
  props: {
    modelValue: { type: [Boolean, Array], default: !1 },
    value: {},
    id: {},
    label: {},
    color: {},
    size: { default: "md" },
    radius: { default: "sm" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 },
    iconColor: { default: "" },
    autoContrast: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "change"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = g(() => s.modelValue), l = () => {
      if (s.disabled)
        return;
      const f = !n.value;
      o("update:modelValue", f), o("change", f);
    }, a = () => {
      l();
    }, r = g(() => ut({
      size: s.size,
      disabled: s.disabled,
      error: s.error
    })), i = g(() => ft({
      color: s.color
    })), d = g(() => [
      "flex",
      "flex-col",
      s.labelPosition === "left" ? "order-first" : ""
    ]), c = g(() => [
      "inline-flex",
      "items-center",
      "justify-center",
      "rounded-md",
      "border",
      "border-gray-300",
      "cursor-pointer",
      "transition-colors",
      "duration-200",
      "ease-in-out",
      s.size === "xs" ? "h-3 w-3" : "",
      s.size === "sm" ? "h-4 w-4" : "",
      s.size === "md" ? "h-5 w-5" : "",
      s.size === "lg" ? "h-6 w-6" : "",
      s.size === "xl" ? "h-7 w-7" : "",
      s.disabled ? "opacity-50 cursor-not-allowed" : "",
      n.value ? "bg-primary-600 border-primary-600" : "bg-white hover:border-primary-500"
    ]), u = g(() => [
      "text-white",
      s.size === "xs" ? "h-2 w-2" : "",
      s.size === "sm" ? "h-3 w-3" : "",
      s.size === "md" ? "h-4 w-4" : "",
      s.size === "lg" ? "h-5 w-5" : "",
      s.size === "xl" ? "h-6 w-6" : ""
    ]), x = g(() => ct({
      disabled: s.disabled,
      error: s.error
    }));
    return (f, b) => (p(), m("div", {
      class: $([x.value, "flex items-center gap-2"])
    }, [
      C("div", {
        class: $(c.value),
        onClick: a,
        role: "checkbox",
        "aria-checked": n.value,
        "aria-disabled": f.disabled,
        tabindex: "0",
        onKeydown: Bt(tt(a, ["prevent"]), ["space"])
      }, [
        n.value && !f.indeterminate ? (p(), m("svg", {
          key: 0,
          xmlns: "http://www.w3.org/2000/svg",
          class: $(u.value),
          viewBox: "0 0 24 24",
          fill: "none",
          stroke: "currentColor",
          "stroke-width": "3",
          "stroke-linecap": "round",
          "stroke-linejoin": "round"
        }, b[0] || (b[0] = [
          C("polyline", { points: "20 6 9 17 4 12" }, null, -1)
        ]), 2)) : z("", !0),
        f.indeterminate ? (p(), m("svg", {
          key: 1,
          xmlns: "http://www.w3.org/2000/svg",
          class: $(u.value),
          viewBox: "0 0 24 24",
          fill: "none",
          stroke: "currentColor",
          "stroke-width": "3",
          "stroke-linecap": "round",
          "stroke-linejoin": "round"
        }, b[1] || (b[1] = [
          C("line", {
            x1: "5",
            y1: "12",
            x2: "19",
            y2: "12"
          }, null, -1)
        ]), 2)) : z("", !0)
      ], 42, Wt),
      f.label || f.description ? (p(), m("div", {
        key: 0,
        class: $(d.value)
      }, [
        f.label ? (p(), m("label", {
          key: 0,
          class: $([r.value, "pt-0.5"]),
          onClick: a
        }, P(f.label), 3)) : z("", !0),
        f.description ? (p(), m("div", {
          key: 1,
          class: $(i.value)
        }, P(f.description), 3)) : z("", !0),
        f.error ? (p(), m("div", Ht, P(f.error), 1)) : z("", !0)
      ], 2)) : z("", !0)
    ], 2));
  }
}), qt = ["aria-checked", "aria-disabled"], Yt = ["id", "checked", "disabled", "value"], Xt = ["for"], vn = /* @__PURE__ */ A({
  __name: "Radio",
  props: {
    modelValue: { default: void 0 },
    value: { default: void 0 },
    id: { default: () => `radio-${Math.random().toString(36).substr(2, 9)}` },
    label: {},
    color: { default: "primary" },
    size: { default: "md" },
    labelPosition: { default: "right" },
    description: {},
    error: {},
    disabled: { type: Boolean, default: !1 },
    iconColor: {}
  },
  emits: ["update:modelValue", "change"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = g(() => s.modelValue === s.value), l = () => {
      s.disabled || (o("update:modelValue", s.value), o("change", s.value));
    }, a = g(() => [
      ct({
        disabled: s.disabled,
        error: s.error
      }),
      "flex items-center gap-2",
      s.labelPosition === "left" ? "flex-row-reverse" : "flex-row"
    ]), r = g(() => [
      "relative flex items-center justify-center rounded-full border transition-colors duration-200",
      f.value,
      n.value ? `bg-${s.color}-600 border-${s.color}-600` : "bg-white border-gray-300 hover:border-gray-400",
      s.disabled ? "opacity-50 cursor-not-allowed" : "cursor-pointer"
    ]), i = g(() => [
      "rounded-full bg-white",
      b.value,
      s.disabled ? "opacity-50" : ""
    ]), d = g(() => ut({
      size: s.size,
      disabled: s.disabled,
      error: s.error
    })), c = g(() => ft({
      color: s.color
    })), u = g(() => [
      "text-sm text-red-500 mt-1"
    ]), x = g(() => [
      "flex flex-col",
      s.disabled ? "cursor-not-allowed" : "cursor-pointer"
    ]), f = g(() => ({
      xs: "w-4 h-4",
      sm: "w-5 h-5",
      md: "w-6 h-6",
      lg: "w-8 h-8",
      xl: "w-10 h-10"
    })[s.size]), b = g(() => ({
      xs: "w-2 h-2",
      sm: "w-2.5 h-2.5",
      md: "w-3 h-3",
      lg: "w-4 h-4",
      xl: "w-5 h-5"
    })[s.size]);
    return (h, v) => (p(), m("div", {
      class: $(a.value),
      onClick: l,
      "aria-checked": n.value,
      "aria-disabled": h.disabled,
      role: "radio"
    }, [
      C("input", {
        ref: "radio",
        type: "radio",
        id: h.id,
        checked: n.value,
        disabled: h.disabled,
        value: h.value,
        onChange: l,
        class: "sr-only"
      }, null, 40, Yt),
      C("div", {
        class: $(r.value)
      }, [
        n.value ? (p(), m("div", {
          key: 0,
          class: $([i.value, "transition-transform duration-200 ease-in-out"])
        }, null, 2)) : z("", !0)
      ], 2),
      C("div", {
        class: $(x.value)
      }, [
        h.label ? (p(), m("label", {
          key: 0,
          for: h.id,
          class: $(d.value)
        }, [
          L(h.$slots, "label", {}, () => [
            ie(P(h.label), 1)
          ])
        ], 10, Xt)) : z("", !0),
        h.description ? (p(), m("div", {
          key: 1,
          class: $(c.value)
        }, [
          L(h.$slots, "description", {}, () => [
            ie(P(h.description), 1)
          ])
        ], 2)) : z("", !0),
        h.error ? (p(), m("div", {
          key: 2,
          class: $(u.value)
        }, [
          L(h.$slots, "error", {}, () => [
            ie(P(h.error), 1)
          ])
        ], 2)) : z("", !0)
      ], 2)
    ], 10, qt));
  }
}), Kt = ["for"], Gt = {
  key: 0,
  class: "text-red-500",
  "aria-hidden": "true"
}, Ut = { class: "relative" }, Qt = ["id", "type", "value", "placeholder", "disabled", "required"], wn = /* @__PURE__ */ A({
  __name: "TextInput",
  props: {
    id: {},
    type: { default: "text" },
    modelValue: {},
    placeholder: {},
    disabled: { type: Boolean, default: !1 },
    label: {},
    labelProps: {},
    description: {},
    descriptionProps: {},
    error: {},
    errorProps: {},
    wrapperProps: {},
    inputProps: {},
    size: { default: "md" },
    radius: { default: "md" },
    rightSection: {},
    rightSectionProps: {},
    leftSection: {},
    leftSectionProps: {},
    withAsterisk: { type: Boolean, default: !1 },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(t) {
    const e = t, s = (n) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[n] || "rounded-lg", o = g(() => {
      const n = [
        "block w-full bg-white transition-all duration-200",
        "border border-gray-200",
        "text-gray-900",
        "focus:outline-none focus:ring-2 focus:ring-offset-0 focus:border-transparent",
        "placeholder:text-gray-400",
        "shadow-sm"
      ], l = Z(e.size, "input"), a = Z(e.size, "input"), r = he({
        disabled: e.disabled,
        error: e.withError || !!e.error
      }), i = s(e.radius), d = {
        left: e.leftSection ? "pl-10" : "",
        right: e.rightSection ? "pr-10" : ""
      }, c = e.disabled ? "" : [
        e.withError || e.error ? "focus:ring-red-500/20 focus:border-red-500" : "focus:ring-blue-500/20 focus:border-blue-500",
        "hover:border-gray-300"
      ];
      return [
        ...n,
        l,
        a,
        r,
        i,
        d.left,
        d.right,
        c
      ].filter(Boolean).join(" ");
    });
    return (n, l) => (p(), m("div", X({
      class: [
        "relative flex flex-col",
        { "opacity-50 pointer-events-none": n.disabled }
      ]
    }, n.wrapperProps), [
      n.label ? (p(), m("label", X({
        key: 0,
        for: n.id,
        class: "mb-1 text-sm font-medium text-gray-700 flex items-center gap-1"
      }, n.labelProps), [
        ie(P(n.label) + " ", 1),
        n.required || n.withAsterisk ? (p(), m("span", Gt, "*")) : z("", !0)
      ], 16, Kt)) : z("", !0),
      C("div", Ut, [
        n.leftSection ? (p(), m("div", X({
          key: 0,
          class: "absolute inset-y-0 left-0 flex items-center pl-3"
        }, n.leftSectionProps), [
          (p(), I(J(n.leftSection)))
        ], 16)) : z("", !0),
        C("input", X({
          id: n.id,
          type: n.type,
          value: n.modelValue,
          placeholder: n.placeholder,
          disabled: n.disabled,
          required: n.required,
          class: o.value,
          onInput: l[0] || (l[0] = (a) => n.$emit("update:modelValue", a.target.value))
        }, n.inputProps), null, 16, Qt),
        n.rightSection ? (p(), m("div", X({
          key: 1,
          class: "absolute inset-y-0 right-0 flex items-center pr-3"
        }, n.rightSectionProps), [
          (p(), I(J(n.rightSection)))
        ], 16)) : z("", !0)
      ]),
      n.description ? (p(), m("p", X({
        key: 1,
        class: "mt-1 text-sm text-gray-500"
      }, n.descriptionProps), P(n.description), 17)) : z("", !0),
      n.error ? (p(), m("p", X({
        key: 2,
        class: "mt-1 text-sm text-red-500"
      }, n.errorProps), P(n.error), 17)) : z("", !0)
    ], 16));
  }
}), Jt = ["aria-expanded", "aria-disabled"], Zt = ["placeholder", "disabled"], es = {
  key: 1,
  class: "w-full truncate text-gray-900"
}, ts = { class: "flex items-center gap-2 shrink-0" }, ss = {
  key: 0,
  class: "py-3 text-center text-gray-500"
}, ns = ["onClick"], os = {
  key: 0,
  class: "py-3 px-4 text-gray-500 text-center text-sm"
}, Cn = /* @__PURE__ */ A({
  __name: "Select",
  props: {
    modelValue: { default: null },
    options: { default: () => [] },
    placeholder: { default: "Select option" },
    disabled: { type: Boolean, default: !1 },
    searchable: { type: Boolean, default: !1 },
    clearable: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    error: { type: Boolean, default: !1 },
    size: { default: "md" },
    radius: { default: "sm" },
    variant: { default: "outline" },
    color: { default: "primary" },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "right" },
    nothingFoundMessage: { default: "Nothing found..." }
  },
  emits: ["update:modelValue", "change"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = O(!1), l = O(""), a = O(null), r = O(null), i = (y) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[y] || "rounded-lg", d = g(() => {
      const y = "w-full flex items-center justify-between transition-colors duration-200", k = [
        Z(s.size, "input"),
        We(s.size, "input")
      ].join(" "), w = i(s.radius), S = s.error ? "focus-within:ring-2 focus-within:ring-red-500/20 focus-within:border-red-500" : "focus-within:ring-2 focus-within:ring-primary-500/20 focus-within:border-primary-500", D = s.variant === "filled" ? `bg-gray-50 border border-transparent ${!s.disabled && `hover:bg-gray-100 focus-within:bg-white focus-within:border-gray-300 ${S}`}` : `bg-white border border-gray-300 ${!s.disabled && `hover:border-gray-400 ${S}`}`, _ = he({
        disabled: s.disabled,
        error: s.error
      }), R = !s.disabled && "cursor-pointer";
      return [
        y,
        k,
        w,
        D,
        _,
        R
      ].filter(Boolean).join(" ");
    }), c = g(() => s.options.find((y) => y.value === s.modelValue)), u = g(() => {
      if (!l.value)
        return s.options;
      const y = l.value.toLowerCase();
      return s.options.filter(
        (k) => k.label.toLowerCase().includes(y)
      );
    }), x = () => {
      var y;
      s.disabled || (s.searchable ? ((y = a.value) == null || y.focus(), n.value = !0) : n.value = !n.value);
    }, f = (y) => {
      o("update:modelValue", y.value), o("change", y), n.value = !1, s.searchable && (l.value = y.label);
    }, b = () => {
      o("update:modelValue", null), o("change", null), l.value = "";
    }, h = () => {
      n.value || (n.value = !0);
    }, v = () => {
      n.value || (n.value = !0);
    }, B = (y) => {
      const k = y.target;
      r.value && !r.value.contains(k) && (n.value = !1);
    };
    return ye(() => s.modelValue, (y) => {
      y ? c.value && s.searchable && (l.value = c.value.label) : l.value = "";
    }), st(() => {
      document.addEventListener("click", B);
    }), _t(() => {
      document.removeEventListener("click", B);
    }), (y, k) => (p(), m("div", {
      class: "relative select",
      ref_key: "selectRoot",
      ref: r
    }, [
      C("div", {
        class: $(d.value),
        role: "combobox",
        "aria-expanded": n.value,
        "aria-disabled": y.disabled,
        onClick: x
      }, [
        y.searchable ? Oe((p(), m("input", {
          key: 0,
          ref_key: "searchInput",
          ref: a,
          "onUpdate:modelValue": k[0] || (k[0] = (w) => l.value = w),
          placeholder: y.placeholder,
          type: "text",
          class: "w-full bg-transparent outline-none placeholder:text-gray-500",
          disabled: y.disabled,
          onFocus: h,
          onInput: v
        }, null, 40, Zt)), [
          [Pt, l.value]
        ]) : (p(), m("div", es, P(c.value ? c.value.label : y.placeholder), 1)),
        C("div", ts, [
          y.clearable && y.modelValue && !y.disabled ? (p(), m("button", {
            key: 0,
            type: "button",
            class: "p-1 hover:bg-gray-100 rounded-full text-gray-500 hover:text-gray-700",
            onClick: tt(b, ["stop"])
          }, k[1] || (k[1] = [
            C("svg", {
              class: "w-4 h-4",
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, [
              C("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M6 18L18 6M6 6l12 12"
              })
            ], -1)
          ]))) : z("", !0),
          (p(), m("svg", {
            class: $(["w-4 h-4 text-gray-500 transition-transform duration-200", { "rotate-180": n.value }]),
            fill: "none",
            stroke: "currentColor",
            viewBox: "0 0 24 24"
          }, k[2] || (k[2] = [
            C("path", {
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "2",
              d: "M19 9l-7 7-7-7"
            }, null, -1)
          ]), 2))
        ])
      ], 10, Jt),
      Oe(C("div", {
        class: $([
          "absolute w-full z-50 mt-1 bg-white",
          "border border-gray-200",
          i(s.radius),
          "shadow-lg max-h-[240px] overflow-auto",
          "divide-y divide-gray-100"
        ])
      }, [
        y.loading ? (p(), m("div", ss, [
          L(y.$slots, "loader", {}, () => [
            k[3] || (k[3] = C("svg", {
              class: "animate-spin h-5 w-5 mx-auto",
              xmlns: "http://www.w3.org/2000/svg",
              fill: "none",
              viewBox: "0 0 24 24"
            }, [
              C("circle", {
                class: "opacity-25",
                cx: "12",
                cy: "12",
                r: "10",
                stroke: "currentColor",
                "stroke-width": "4"
              }),
              C("path", {
                class: "opacity-75",
                fill: "currentColor",
                d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
              })
            ], -1))
          ])
        ])) : (p(), m(ue, { key: 1 }, [
          (p(!0), m(ue, null, Ee(u.value, (w) => (p(), m("div", {
            key: w.value,
            class: $([
              "py-2.5 px-4 flex items-center transition-colors duration-200",
              "text-[14px] leading-5",
              "text-gray-900",
              w.value === y.modelValue ? "bg-gray-50 font-medium" : "hover:bg-gray-50",
              w.disabled ? "opacity-50 cursor-not-allowed" : "cursor-pointer"
            ]),
            onClick: (S) => !w.disabled && f(w)
          }, [
            y.withCheckIcon && w.value === y.modelValue ? (p(), m("svg", {
              key: 0,
              class: $([
                "w-4 h-4 text-primary-600 shrink-0",
                y.checkIconPosition === "left" ? "mr-2" : "ml-2 order-last"
              ]),
              fill: "none",
              stroke: "currentColor",
              viewBox: "0 0 24 24"
            }, k[4] || (k[4] = [
              C("path", {
                "stroke-linecap": "round",
                "stroke-linejoin": "round",
                "stroke-width": "2",
                d: "M5 13l4 4L19 7"
              }, null, -1)
            ]), 2)) : z("", !0),
            C("span", {
              class: $({ "text-gray-500": w.disabled })
            }, P(w.label), 3)
          ], 10, ns))), 128)),
          u.value.length === 0 ? (p(), m("div", os, P(y.nothingFoundMessage || "No options found"), 1)) : z("", !0)
        ], 64))
      ], 2), [
        [nt, n.value]
      ])
    ], 512));
  }
}), rs = ["disabled"], ls = {
  key: 0,
  class: "w-3.5 h-3.5",
  viewBox: "0 0 20 20",
  fill: "currentColor"
}, as = {
  key: 1,
  class: "animate-spin"
}, kn = /* @__PURE__ */ A({
  __name: "Chip",
  props: {
    modelValue: { type: Boolean, default: !1 },
    label: { default: "" },
    size: { default: "md" },
    variant: { default: "filled" },
    color: { default: "primary" },
    radius: { default: "xl" },
    checked: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    withRemoveButton: { type: Boolean, default: !1 },
    withCheckIcon: { type: Boolean, default: !0 },
    checkIconPosition: { default: "left" },
    allowDeselect: { type: Boolean, default: !0 },
    loading: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = g(() => se(s.color)), l = g(() => Z(s.size, "chip")), a = g(() => he({
      disabled: s.disabled,
      loading: s.loading
    })), r = g(() => se(s.color, "filled")), i = g(() => se(s.color, "outline")), d = () => {
      s.disabled || s.loading || s.modelValue && !s.allowDeselect || o("update:modelValue", !s.modelValue);
    };
    return (c, u) => (p(), m("button", {
      class: $([
        "inline-flex items-center justify-center gap-2 rounded-full transition-colors duration-200 select-none",
        "focus:outline-none",
        n.value,
        l.value,
        a.value,
        c.modelValue ? r.value : i.value,
        "cursor-pointer"
      ]),
      disabled: c.disabled || c.loading,
      onClick: d
    }, [
      c.withCheckIcon && c.modelValue ? (p(), m("svg", ls, u[0] || (u[0] = [
        C("path", {
          "fill-rule": "evenodd",
          d: "M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z",
          "clip-rule": "evenodd"
        }, null, -1)
      ]))) : z("", !0),
      c.loading ? (p(), m("span", as, u[1] || (u[1] = [
        C("svg", {
          class: "w-3.5 h-3.5",
          xmlns: "http://www.w3.org/2000/svg",
          fill: "none",
          viewBox: "0 0 24 24"
        }, [
          C("circle", {
            class: "opacity-25",
            cx: "12",
            cy: "12",
            r: "10",
            stroke: "currentColor",
            "stroke-width": "4"
          }),
          C("path", {
            class: "opacity-75",
            fill: "currentColor",
            d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
          })
        ], -1)
      ]))) : z("", !0),
      C("span", {
        class: $([
          "whitespace-nowrap",
          c.loading ? "opacity-75" : ""
        ])
      }, P(c.label), 3)
    ], 10, rs));
  }
}), is = (t, e = 0) => {
  const s = {
    position: "absolute",
    transform: "translate(50%, -50%)"
  }, [o, n] = t.split("-");
  if (o === "top" ? s.top = "0" : o === "bottom" ? (s.bottom = "0", s.transform = "translate(50%, 50%)") : o === "middle" && (s.top = "50%", n === "start" ? s.transform = "translate(-50%, -50%)" : n === "end" ? s.transform = "translate(50%, -50%)" : s.transform = "translate(0, -50%)"), n === "start" ? (s.left = "0", s.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)") : n === "end" ? s.right = "0" : n === "center" && (s.left = "50%", s.transform = o === "bottom" ? "translate(-50%, 50%)" : "translate(-50%, -50%)"), e) {
    const l = s.transform.includes("50%") ? "50%" : "0", a = s.transform.includes("-50%") ? "-50%" : "50%";
    (o === "top" || o === "bottom") && (s.transform = `translate(${l}, ${a}) translateY(${e}px)`), (n === "start" || n === "end") && (s.transform = `translate(${l}, ${a}) translateX(${n === "start" ? -e : e}px)`);
  }
  return s;
}, ds = {
  name: "Indicator"
}, cs = /* @__PURE__ */ A({
  ...ds,
  props: {
    position: { default: "top-end" },
    size: { default: "md" },
    radius: { default: "xl" },
    color: { default: "primary" },
    variant: { default: "filled" },
    offset: { default: 0 },
    inline: { type: Boolean, default: !1 },
    label: { default: "" },
    withBorder: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    processing: { type: Boolean, default: !1 },
    zIndex: { default: 200 }
  },
  setup(t) {
    const e = t, s = g(() => [
      e.inline ? "inline-block" : "block",
      "relative"
    ]), o = g(() => ({
      ...e.inline && { display: "inline-block" }
    })), n = g(() => [
      // Base classes
      "flex items-center justify-center",
      "absolute",
      "select-none",
      "rounded-full",
      // Size classes
      We(e.size, "indicator"),
      Z(e.size, "indicator"),
      // Color classes
      !e.disabled && `bg-${e.color === "primary" ? "blue" : e.color}-600 text-white`,
      e.disabled && "bg-gray-200 text-gray-500",
      // Border classes
      e.withBorder && "border-2 border-white dark:border-gray-900",
      // Processing animation
      e.processing && "animate-pulse"
    ]), l = g(() => ({
      ...is(e.position, e.offset),
      zIndex: e.zIndex
    }));
    return (a, r) => (p(), m("div", {
      class: $(s.value),
      style: E(o.value)
    }, [
      a.disabled ? z("", !0) : (p(), m("div", {
        key: 0,
        class: $(n.value),
        style: E(l.value)
      }, P(a.label), 7)),
      L(a.$slots, "default", {}, void 0, !0)
    ], 6));
  }
});
const us = (t, e) => {
  const s = t.__vccOpts || t;
  for (const [o, n] of e)
    s[o] = n;
  return s;
}, $n = /* @__PURE__ */ us(cs, [["__scopeId", "data-v-643e9acf"]]), fs = ["aria-valuenow"], zn = /* @__PURE__ */ A({
  __name: "Progress",
  props: {
    value: { default: 0 },
    size: { default: "md" },
    color: {},
    label: {},
    striped: { type: Boolean, default: !1 },
    animated: { type: Boolean, default: !1 }
  },
  setup(t) {
    return (e, s) => (p(), m("div", {
      class: $([
        "relative w-full rounded-sm overflow-hidden",
        "bg-gray-100",
        M(We)(e.size, "progress")
      ]),
      role: "progressbar",
      "aria-valuenow": e.value,
      "aria-valuemin": "0",
      "aria-valuemax": "100"
    }, [
      C("div", {
        class: $([
          "h-full transition-all duration-300 ease-in-out",
          M(se)(e.color || "primary", "filled"),
          {
            "bg-striped": e.striped && !e.animated,
            "bg-striped animate-progress": e.animated
          }
        ]),
        style: E({ width: `${e.value}%` })
      }, [
        e.label && (e.size === "lg" || e.size === "xl") ? (p(), m("span", {
          key: 0,
          class: $([
            "block px-2 py-1 text-white whitespace-nowrap font-medium leading-none",
            M(it)(e.size)
          ])
        }, P(e.label), 3)) : z("", !0)
      ], 6)
    ], 10, fs));
  }
});
const ps = {
  key: 0,
  class: "flex-shrink-0"
}, hs = {
  key: 0,
  class: "flex items-center justify-between"
}, gs = {
  key: 1,
  class: "flex-shrink-0 ml-3"
}, ms = ["disabled"], Sn = /* @__PURE__ */ A({
  __name: "Alert",
  props: {
    title: {},
    message: {},
    icon: {},
    variant: { default: "default" },
    color: { default: "primary" },
    size: { default: "md" },
    closable: { type: Boolean, default: !1 },
    onClose: {},
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    valid: { type: Boolean, default: void 0 },
    invalid: { type: Boolean, default: void 0 }
  },
  emits: ["close"],
  setup(t, { emit: e }) {
    const s = t, o = e, n = g(() => se(s.color, s.variant, {
      hover: !1,
      active: !1,
      focus: !1,
      disabled: s.disabled
    })), l = g(() => Mt(s.variant)), a = g(() => Dt(s.color, s.variant)), r = g(() => Tt(s.color, s.variant)), i = g(() => Z(s.size, "alert")), d = g(() => at(s.size, "alert")), c = g(() => it(s.size)), u = g(() => dt(s.size)), x = g(() => he({
      disabled: s.disabled,
      loading: s.loading
    })), f = g(() => Et({
      valid: s.valid,
      invalid: s.invalid
    })), b = g(() => It({
      hover: !0,
      focus: !0
    }, s.color)), h = () => {
      o("close");
    };
    return (v, B) => (p(), m("div", {
      class: $([
        "relative rounded-md",
        l.value,
        n.value,
        i.value,
        x.value,
        f.value
      ]),
      role: "alert"
    }, [
      C("div", {
        class: $(["flex items-start", [u.value]])
      }, [
        v.icon ? (p(), m("div", ps, [
          (p(), I(J(v.icon), {
            class: $([
              d.value,
              a.value
            ])
          }, null, 8, ["class"]))
        ])) : z("", !0),
        C("div", {
          class: $(["flex-grow", [v.icon && "ml-3"]])
        }, [
          v.title ? (p(), m("div", hs, [
            C("h3", {
              class: $([
                "font-medium",
                r.value
              ])
            }, P(v.title), 3)
          ])) : z("", !0),
          v.message ? (p(), m("div", {
            key: 1,
            class: $([
              "mt-1",
              v.variant === "filled" ? "text-white/90" : "text-gray-600",
              c.value
            ])
          }, P(v.message), 3)) : z("", !0),
          L(v.$slots, "default")
        ], 2),
        v.closable ? (p(), m("div", gs, [
          C("button", {
            type: "button",
            class: $(["inline-flex rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2", [
              v.variant === "filled" ? "text-white/80 hover:text-white focus:ring-white" : "text-gray-400 hover:text-gray-500 focus:ring-primary-500",
              b.value
            ]]),
            disabled: v.disabled,
            onClick: h
          }, B[0] || (B[0] = [
            C("span", { class: "sr-only" }, "Close", -1),
            C("svg", {
              class: "h-5 w-5",
              viewBox: "0 0 20 20",
              fill: "currentColor",
              "aria-hidden": "true"
            }, [
              C("path", { d: "M6.28 5.22a.75.75 0 00-1.06 1.06L8.94 10l-3.72 3.72a.75.75 0 101.06 1.06L10 11.06l3.72 3.72a.75.75 0 101.06-1.06L11.06 10l3.72-3.72a.75.75 0 00-1.06-1.06L10 8.94 6.28 5.22z" })
            ], -1)
          ]), 10, ms)
        ])) : z("", !0)
      ], 2)
    ], 2));
  }
}), Bn = /* @__PURE__ */ A({
  __name: "Collapse",
  props: {
    open: { type: Boolean, default: !1 },
    duration: { default: 200 },
    class: {},
    size: { default: "md" },
    disableTransition: { type: Boolean, default: !1 }
  },
  setup(t) {
    const e = t, s = O(null), o = O(null), n = {
      xs: "p-1",
      sm: "p-2",
      md: "p-3",
      lg: "p-4",
      xl: "p-5"
    }, l = g(() => dt(e.size)), a = g(() => n[e.size]), r = g(
      () => e.disableTransition ? "" : `transition-[height] ease-in-out duration-${e.duration}`
    ), i = g(() => ({
      enter: e.duration,
      leave: e.duration
    })), d = (h) => {
      h.style.height = "0", h.style.overflow = "hidden";
    }, c = (h) => {
      const v = h.scrollHeight;
      h.style.height = "0", h.offsetHeight, h.style.height = `${v}px`;
    }, u = (h) => {
      h.style.height = "", h.style.overflow = "";
    }, x = (h) => {
      h.style.height = `${h.scrollHeight}px`, h.style.overflow = "hidden", h.offsetHeight;
    }, f = (h) => {
      h.style.height = "0";
    }, b = (h) => {
      h.style.height = "", h.style.overflow = "";
    };
    return (h, v) => (p(), I(Ie, {
      duration: i.value,
      onBeforeEnter: d,
      onEnter: c,
      onAfterEnter: u,
      onBeforeLeave: x,
      onLeave: f,
      onAfterLeave: b
    }, {
      default: ke(() => [
        Oe(C("div", {
          class: $([
            "overflow-hidden",
            l.value,
            r.value,
            e.class
          ]),
          ref_key: "contentRef",
          ref: s
        }, [
          C("div", {
            ref_key: "innerRef",
            ref: o,
            class: $(a.value)
          }, [
            L(h.$slots, "default")
          ], 2)
        ], 2), [
          [nt, h.open]
        ])
      ]),
      _: 3
    }, 8, ["duration"]));
  }
}), ys = { class: "inline-block" }, xs = /* @__PURE__ */ A({
  __name: "OvalLoader",
  props: {
    size: { default: "md" }
  },
  setup(t) {
    const e = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, s = t, o = g(() => {
      const n = parseInt(e[s.size]);
      return `${Math.max(2, n / 12)}px`;
    });
    return (n, l) => (p(), m("span", ys, [
      C("span", {
        class: "inline-block rounded-full border-solid border-r-transparent border-current animate-[oval-spin_1.2s_linear_infinite]",
        style: E({
          width: e[s.size],
          height: e[s.size],
          borderWidth: o.value
        })
      }, null, 4)
    ]));
  }
});
const bs = /* @__PURE__ */ A({
  __name: "DotsLoader",
  props: {
    size: { default: "md" }
  },
  setup(t) {
    const e = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, s = t, o = g(() => `${parseInt(e[s.size]) / 3}px`), n = g(() => `${parseInt(e[s.size]) / 6}px`);
    return (l, a) => (p(), m("span", {
      class: "inline-flex items-center",
      style: E({
        gap: n.value,
        height: e[s.size]
      })
    }, [
      (p(), m(ue, null, Ee(3, (r) => C("span", {
        key: r,
        class: "inline-block rounded-full animate-[dots-pulse_0.8s_infinite_linear] bg-current",
        style: E({
          width: o.value,
          height: o.value,
          animationDelay: `${(r - 1) * 0.16}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const vs = /* @__PURE__ */ A({
  __name: "BarsLoader",
  props: {
    size: { default: "md" }
  },
  setup(t) {
    const e = {
      xs: "12px",
      sm: "16px",
      md: "24px",
      lg: "36px",
      xl: "48px"
    }, s = t, o = g(() => `${parseInt(e[s.size]) / 6}px`);
    return (n, l) => (p(), m("span", {
      class: "inline-flex",
      style: E({
        gap: o.value,
        width: e[s.size],
        height: `${parseInt(e[s.size]) / 2}px`
      })
    }, [
      (p(), m(ue, null, Ee(3, (a) => C("span", {
        key: a,
        class: "flex-1 rounded-[2px] animate-[bars-scale_1.2s_cubic-bezier(0,0.5,0.5,1)_infinite] bg-current",
        style: E({
          animationDelay: `${(a - 1) * -0.12}s`,
          opacity: 1
        })
      }, null, 4)), 64))
    ], 4));
  }
});
const _n = /* @__PURE__ */ A({
  __name: "Loader",
  props: {
    variant: { default: "oval" },
    color: { default: "primary" },
    size: { default: "md" },
    class: {}
  },
  setup(t) {
    const e = t, s = (a) => /^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/.test(a), o = g(() => !e.color || s(e.color) ? "" : {
      primary: "text-primary-500",
      secondary: "text-gray-500",
      success: "text-green-500",
      warning: "text-yellow-500",
      danger: "text-red-500",
      info: "text-blue-500",
      dark: "text-gray-900",
      light: "text-white"
    }[e.color] || ""), n = g(() => !e.color || !s(e.color) ? {} : { color: e.color }), l = g(() => {
      switch (e.variant) {
        case "dots":
          return bs;
        case "bars":
          return vs;
        default:
          return xs;
      }
    });
    return (a, r) => (p(), I(J(l.value), {
      class: $([
        "inline-block",
        o.value,
        e.class
      ]),
      style: E(n.value),
      size: e.size
    }, null, 8, ["class", "style", "size"]));
  }
}), ws = { class: "p-4" }, Cs = {
  key: 0,
  class: "absolute top-2 right-2"
}, ks = {
  key: 1,
  class: "text-lg font-medium mb-2"
}, $s = { key: 2 }, Pn = /* @__PURE__ */ A({
  __name: "Dialog",
  props: {
    title: {},
    content: {},
    opened: { type: Boolean },
    size: { default: "md" },
    withCloseButton: { type: Boolean, default: !0 },
    onClose: {},
    position: { default: () => ({ bottom: "20px", right: "20px" }) },
    keepMounted: { type: Boolean, default: !1 },
    zIndex: { default: 1e3 }
  },
  setup(t) {
    const e = t, s = g(() => ({
      xs: "w-[280px]",
      sm: "w-[320px]",
      md: "w-[380px]",
      lg: "w-[440px]",
      xl: "w-[520px]"
    })[e.size]);
    return (o, n) => (p(), I(ot, { to: "body" }, [
      Re(Ie, {
        "enter-active-class": "transition duration-200 ease-out",
        "enter-from-class": "opacity-0 scale-95",
        "enter-to-class": "opacity-100 scale-100",
        "leave-active-class": "transition duration-200 ease-in",
        "leave-from-class": "opacity-100 scale-100",
        "leave-to-class": "opacity-0 scale-95"
      }, {
        default: ke(() => [
          o.opened || o.keepMounted ? (p(), m("div", {
            key: 0,
            style: E({
              position: "fixed",
              zIndex: o.zIndex || 1e3,
              ...o.position,
              display: o.opened ? "block" : "none"
            }),
            class: "min-w-[200px]"
          }, [
            C("div", {
              class: $(["rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700", [s.value]])
            }, [
              C("div", ws, [
                o.withCloseButton ? (p(), m("div", Cs, [
                  C("button", {
                    onClick: n[0] || (n[0] = //@ts-ignore
                    (...l) => o.onClose && o.onClose(...l)),
                    class: "text-gray-400 hover:text-gray-500 dark:text-gray-500 dark:hover:text-gray-400 focus:outline-none"
                  }, n[1] || (n[1] = [
                    C("span", { class: "sr-only" }, "Close", -1),
                    C("svg", {
                      class: "h-5 w-5",
                      xmlns: "http://www.w3.org/2000/svg",
                      viewBox: "0 0 20 20",
                      fill: "currentColor"
                    }, [
                      C("path", {
                        "fill-rule": "evenodd",
                        d: "M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z",
                        "clip-rule": "evenodd"
                      })
                    ], -1)
                  ]))
                ])) : z("", !0),
                o.title ? (p(), m("div", ks, P(o.title), 1)) : z("", !0),
                o.content ? (p(), m("div", $s, P(o.content), 1)) : z("", !0),
                L(o.$slots, "default")
              ])
            ], 2)
          ], 4)) : z("", !0)
        ]),
        _: 3
      })
    ]));
  }
}), xe = Math.min, de = Math.max, $e = Math.round, N = (t) => ({
  x: t,
  y: t
}), zs = {
  left: "right",
  right: "left",
  bottom: "top",
  top: "bottom"
}, Ss = {
  start: "end",
  end: "start"
};
function Ve(t, e, s) {
  return de(t, xe(e, s));
}
function ve(t, e) {
  return typeof t == "function" ? t(e) : t;
}
function ne(t) {
  return t.split("-")[0];
}
function we(t) {
  return t.split("-")[1];
}
function pt(t) {
  return t === "x" ? "y" : "x";
}
function He(t) {
  return t === "y" ? "height" : "width";
}
function fe(t) {
  return ["top", "bottom"].includes(ne(t)) ? "y" : "x";
}
function Ne(t) {
  return pt(fe(t));
}
function Bs(t, e, s) {
  s === void 0 && (s = !1);
  const o = we(t), n = Ne(t), l = He(n);
  let a = n === "x" ? o === (s ? "end" : "start") ? "right" : "left" : o === "start" ? "bottom" : "top";
  return e.reference[l] > e.floating[l] && (a = ze(a)), [a, ze(a)];
}
function _s(t) {
  const e = ze(t);
  return [Le(t), e, Le(e)];
}
function Le(t) {
  return t.replace(/start|end/g, (e) => Ss[e]);
}
function Ps(t, e, s) {
  const o = ["left", "right"], n = ["right", "left"], l = ["top", "bottom"], a = ["bottom", "top"];
  switch (t) {
    case "top":
    case "bottom":
      return s ? e ? n : o : e ? o : n;
    case "left":
    case "right":
      return e ? l : a;
    default:
      return [];
  }
}
function As(t, e, s, o) {
  const n = we(t);
  let l = Ps(ne(t), s === "start", o);
  return n && (l = l.map((a) => a + "-" + n), e && (l = l.concat(l.map(Le)))), l;
}
function ze(t) {
  return t.replace(/left|right|bottom|top/g, (e) => zs[e]);
}
function Os(t) {
  return {
    top: 0,
    right: 0,
    bottom: 0,
    left: 0,
    ...t
  };
}
function ht(t) {
  return typeof t != "number" ? Os(t) : {
    top: t,
    right: t,
    bottom: t,
    left: t
  };
}
function Se(t) {
  const {
    x: e,
    y: s,
    width: o,
    height: n
  } = t;
  return {
    width: o,
    height: n,
    top: s,
    left: e,
    right: e + o,
    bottom: s + n,
    x: e,
    y: s
  };
}
function Ge(t, e, s) {
  let {
    reference: o,
    floating: n
  } = t;
  const l = fe(e), a = Ne(e), r = He(a), i = ne(e), d = l === "y", c = o.x + o.width / 2 - n.width / 2, u = o.y + o.height / 2 - n.height / 2, x = o[r] / 2 - n[r] / 2;
  let f;
  switch (i) {
    case "top":
      f = {
        x: c,
        y: o.y - n.height
      };
      break;
    case "bottom":
      f = {
        x: c,
        y: o.y + o.height
      };
      break;
    case "right":
      f = {
        x: o.x + o.width,
        y: u
      };
      break;
    case "left":
      f = {
        x: o.x - n.width,
        y: u
      };
      break;
    default:
      f = {
        x: o.x,
        y: o.y
      };
  }
  switch (we(e)) {
    case "start":
      f[a] -= x * (s && d ? -1 : 1);
      break;
    case "end":
      f[a] += x * (s && d ? -1 : 1);
      break;
  }
  return f;
}
const Rs = async (t, e, s) => {
  const {
    placement: o = "bottom",
    strategy: n = "absolute",
    middleware: l = [],
    platform: a
  } = s, r = l.filter(Boolean), i = await (a.isRTL == null ? void 0 : a.isRTL(e));
  let d = await a.getElementRects({
    reference: t,
    floating: e,
    strategy: n
  }), {
    x: c,
    y: u
  } = Ge(d, o, i), x = o, f = {}, b = 0;
  for (let h = 0; h < r.length; h++) {
    const {
      name: v,
      fn: B
    } = r[h], {
      x: y,
      y: k,
      data: w,
      reset: S
    } = await B({
      x: c,
      y: u,
      initialPlacement: o,
      placement: x,
      strategy: n,
      middlewareData: f,
      rects: d,
      platform: a,
      elements: {
        reference: t,
        floating: e
      }
    });
    c = y ?? c, u = k ?? u, f = {
      ...f,
      [v]: {
        ...f[v],
        ...w
      }
    }, S && b <= 50 && (b++, typeof S == "object" && (S.placement && (x = S.placement), S.rects && (d = S.rects === !0 ? await a.getElementRects({
      reference: t,
      floating: e,
      strategy: n
    }) : S.rects), {
      x: c,
      y: u
    } = Ge(d, x, i)), h = -1);
  }
  return {
    x: c,
    y: u,
    placement: x,
    strategy: n,
    middlewareData: f
  };
};
async function gt(t, e) {
  var s;
  e === void 0 && (e = {});
  const {
    x: o,
    y: n,
    platform: l,
    rects: a,
    elements: r,
    strategy: i
  } = t, {
    boundary: d = "clippingAncestors",
    rootBoundary: c = "viewport",
    elementContext: u = "floating",
    altBoundary: x = !1,
    padding: f = 0
  } = ve(e, t), b = ht(f), v = r[x ? u === "floating" ? "reference" : "floating" : u], B = Se(await l.getClippingRect({
    element: (s = await (l.isElement == null ? void 0 : l.isElement(v))) == null || s ? v : v.contextElement || await (l.getDocumentElement == null ? void 0 : l.getDocumentElement(r.floating)),
    boundary: d,
    rootBoundary: c,
    strategy: i
  })), y = u === "floating" ? {
    x: o,
    y: n,
    width: a.floating.width,
    height: a.floating.height
  } : a.reference, k = await (l.getOffsetParent == null ? void 0 : l.getOffsetParent(r.floating)), w = await (l.isElement == null ? void 0 : l.isElement(k)) ? await (l.getScale == null ? void 0 : l.getScale(k)) || {
    x: 1,
    y: 1
  } : {
    x: 1,
    y: 1
  }, S = Se(l.convertOffsetParentRelativeRectToViewportRelativeRect ? await l.convertOffsetParentRelativeRectToViewportRelativeRect({
    elements: r,
    rect: y,
    offsetParent: k,
    strategy: i
  }) : y);
  return {
    top: (B.top - S.top + b.top) / w.y,
    bottom: (S.bottom - B.bottom + b.bottom) / w.y,
    left: (B.left - S.left + b.left) / w.x,
    right: (S.right - B.right + b.right) / w.x
  };
}
const Vs = (t) => ({
  name: "arrow",
  options: t,
  async fn(e) {
    const {
      x: s,
      y: o,
      placement: n,
      rects: l,
      platform: a,
      elements: r,
      middlewareData: i
    } = e, {
      element: d,
      padding: c = 0
    } = ve(t, e) || {};
    if (d == null)
      return {};
    const u = ht(c), x = {
      x: s,
      y: o
    }, f = Ne(n), b = He(f), h = await a.getDimensions(d), v = f === "y", B = v ? "top" : "left", y = v ? "bottom" : "right", k = v ? "clientHeight" : "clientWidth", w = l.reference[b] + l.reference[f] - x[f] - l.floating[b], S = x[f] - l.reference[f], D = await (a.getOffsetParent == null ? void 0 : a.getOffsetParent(d));
    let _ = D ? D[k] : 0;
    (!_ || !await (a.isElement == null ? void 0 : a.isElement(D))) && (_ = r.floating[k] || l.floating[b]);
    const R = w / 2 - S / 2, W = _ / 2 - h[b] / 2 - 1, G = xe(u[B], W), ge = xe(u[y], W), te = G, me = _ - h[b] - ge, V = _ / 2 - h[b] / 2 + R, re = Ve(te, V, me), Y = !i.arrow && we(n) != null && V !== re && l.reference[b] / 2 - (V < te ? G : ge) - h[b] / 2 < 0, H = Y ? V < te ? V - te : V - me : 0;
    return {
      [f]: x[f] + H,
      data: {
        [f]: re,
        centerOffset: V - re - H,
        ...Y && {
          alignmentOffset: H
        }
      },
      reset: Y
    };
  }
}), Ls = function(t) {
  return t === void 0 && (t = {}), {
    name: "flip",
    options: t,
    async fn(e) {
      var s, o;
      const {
        placement: n,
        middlewareData: l,
        rects: a,
        initialPlacement: r,
        platform: i,
        elements: d
      } = e, {
        mainAxis: c = !0,
        crossAxis: u = !0,
        fallbackPlacements: x,
        fallbackStrategy: f = "bestFit",
        fallbackAxisSideDirection: b = "none",
        flipAlignment: h = !0,
        ...v
      } = ve(t, e);
      if ((s = l.arrow) != null && s.alignmentOffset)
        return {};
      const B = ne(n), y = fe(r), k = ne(r) === r, w = await (i.isRTL == null ? void 0 : i.isRTL(d.floating)), S = x || (k || !h ? [ze(r)] : _s(r)), D = b !== "none";
      !x && D && S.push(...As(r, h, b, w));
      const _ = [r, ...S], R = await gt(e, v), W = [];
      let G = ((o = l.flip) == null ? void 0 : o.overflows) || [];
      if (c && W.push(R[B]), u) {
        const V = Bs(n, a, w);
        W.push(R[V[0]], R[V[1]]);
      }
      if (G = [...G, {
        placement: n,
        overflows: W
      }], !W.every((V) => V <= 0)) {
        var ge, te;
        const V = (((ge = l.flip) == null ? void 0 : ge.index) || 0) + 1, re = _[V];
        if (re)
          return {
            data: {
              index: V,
              overflows: G
            },
            reset: {
              placement: re
            }
          };
        let Y = (te = G.filter((H) => H.overflows[0] <= 0).sort((H, U) => H.overflows[1] - U.overflows[1])[0]) == null ? void 0 : te.placement;
        if (!Y)
          switch (f) {
            case "bestFit": {
              var me;
              const H = (me = G.filter((U) => {
                if (D) {
                  const Q = fe(U.placement);
                  return Q === y || // Create a bias to the `y` side axis due to horizontal
                  // reading directions favoring greater width.
                  Q === "y";
                }
                return !0;
              }).map((U) => [U.placement, U.overflows.filter((Q) => Q > 0).reduce((Q, St) => Q + St, 0)]).sort((U, Q) => U[1] - Q[1])[0]) == null ? void 0 : me[0];
              H && (Y = H);
              break;
            }
            case "initialPlacement":
              Y = r;
              break;
          }
        if (n !== Y)
          return {
            reset: {
              placement: Y
            }
          };
      }
      return {};
    }
  };
};
async function Ds(t, e) {
  const {
    placement: s,
    platform: o,
    elements: n
  } = t, l = await (o.isRTL == null ? void 0 : o.isRTL(n.floating)), a = ne(s), r = we(s), i = fe(s) === "y", d = ["left", "top"].includes(a) ? -1 : 1, c = l && i ? -1 : 1, u = ve(e, t);
  let {
    mainAxis: x,
    crossAxis: f,
    alignmentAxis: b
  } = typeof u == "number" ? {
    mainAxis: u,
    crossAxis: 0,
    alignmentAxis: null
  } : {
    mainAxis: u.mainAxis || 0,
    crossAxis: u.crossAxis || 0,
    alignmentAxis: u.alignmentAxis
  };
  return r && typeof b == "number" && (f = r === "end" ? b * -1 : b), i ? {
    x: f * c,
    y: x * d
  } : {
    x: x * d,
    y: f * c
  };
}
const Ts = function(t) {
  return t === void 0 && (t = 0), {
    name: "offset",
    options: t,
    async fn(e) {
      var s, o;
      const {
        x: n,
        y: l,
        placement: a,
        middlewareData: r
      } = e, i = await Ds(e, t);
      return a === ((s = r.offset) == null ? void 0 : s.placement) && (o = r.arrow) != null && o.alignmentOffset ? {} : {
        x: n + i.x,
        y: l + i.y,
        data: {
          ...i,
          placement: a
        }
      };
    }
  };
}, Ms = function(t) {
  return t === void 0 && (t = {}), {
    name: "shift",
    options: t,
    async fn(e) {
      const {
        x: s,
        y: o,
        placement: n
      } = e, {
        mainAxis: l = !0,
        crossAxis: a = !1,
        limiter: r = {
          fn: (v) => {
            let {
              x: B,
              y
            } = v;
            return {
              x: B,
              y
            };
          }
        },
        ...i
      } = ve(t, e), d = {
        x: s,
        y: o
      }, c = await gt(e, i), u = fe(ne(n)), x = pt(u);
      let f = d[x], b = d[u];
      if (l) {
        const v = x === "y" ? "top" : "left", B = x === "y" ? "bottom" : "right", y = f + c[v], k = f - c[B];
        f = Ve(y, f, k);
      }
      if (a) {
        const v = u === "y" ? "top" : "left", B = u === "y" ? "bottom" : "right", y = b + c[v], k = b - c[B];
        b = Ve(y, b, k);
      }
      const h = r.fn({
        ...e,
        [x]: f,
        [u]: b
      });
      return {
        ...h,
        data: {
          x: h.x - s,
          y: h.y - o,
          enabled: {
            [x]: l,
            [u]: a
          }
        }
      };
    }
  };
};
function Be() {
  return typeof window < "u";
}
function oe(t) {
  return qe(t) ? (t.nodeName || "").toLowerCase() : "#document";
}
function T(t) {
  var e;
  return (t == null || (e = t.ownerDocument) == null ? void 0 : e.defaultView) || window;
}
function K(t) {
  var e;
  return (e = (qe(t) ? t.ownerDocument : t.document) || window.document) == null ? void 0 : e.documentElement;
}
function qe(t) {
  return Be() ? t instanceof Node || t instanceof T(t).Node : !1;
}
function j(t) {
  return Be() ? t instanceof Element || t instanceof T(t).Element : !1;
}
function q(t) {
  return Be() ? t instanceof HTMLElement || t instanceof T(t).HTMLElement : !1;
}
function Ue(t) {
  return !Be() || typeof ShadowRoot > "u" ? !1 : t instanceof ShadowRoot || t instanceof T(t).ShadowRoot;
}
function Ce(t) {
  const {
    overflow: e,
    overflowX: s,
    overflowY: o,
    display: n
  } = F(t);
  return /auto|scroll|overlay|hidden|clip/.test(e + o + s) && !["inline", "contents"].includes(n);
}
function Es(t) {
  return ["table", "td", "th"].includes(oe(t));
}
function _e(t) {
  return [":popover-open", ":modal"].some((e) => {
    try {
      return t.matches(e);
    } catch {
      return !1;
    }
  });
}
function Ye(t) {
  const e = Xe(), s = j(t) ? F(t) : t;
  return s.transform !== "none" || s.perspective !== "none" || (s.containerType ? s.containerType !== "normal" : !1) || !e && (s.backdropFilter ? s.backdropFilter !== "none" : !1) || !e && (s.filter ? s.filter !== "none" : !1) || ["transform", "perspective", "filter"].some((o) => (s.willChange || "").includes(o)) || ["paint", "layout", "strict", "content"].some((o) => (s.contain || "").includes(o));
}
function Is(t) {
  let e = ee(t);
  for (; q(e) && !pe(e); ) {
    if (Ye(e))
      return e;
    if (_e(e))
      return null;
    e = ee(e);
  }
  return null;
}
function Xe() {
  return typeof CSS > "u" || !CSS.supports ? !1 : CSS.supports("-webkit-backdrop-filter", "none");
}
function pe(t) {
  return ["html", "body", "#document"].includes(oe(t));
}
function F(t) {
  return T(t).getComputedStyle(t);
}
function Pe(t) {
  return j(t) ? {
    scrollLeft: t.scrollLeft,
    scrollTop: t.scrollTop
  } : {
    scrollLeft: t.scrollX,
    scrollTop: t.scrollY
  };
}
function ee(t) {
  if (oe(t) === "html")
    return t;
  const e = (
    // Step into the shadow DOM of the parent of a slotted node.
    t.assignedSlot || // DOM Element detected.
    t.parentNode || // ShadowRoot detected.
    Ue(t) && t.host || // Fallback.
    K(t)
  );
  return Ue(e) ? e.host : e;
}
function mt(t) {
  const e = ee(t);
  return pe(e) ? t.ownerDocument ? t.ownerDocument.body : t.body : q(e) && Ce(e) ? e : mt(e);
}
function De(t, e, s) {
  var o;
  e === void 0 && (e = []), s === void 0 && (s = !0);
  const n = mt(t), l = n === ((o = t.ownerDocument) == null ? void 0 : o.body), a = T(n);
  if (l) {
    const r = Te(a);
    return e.concat(a, a.visualViewport || [], Ce(n) ? n : [], r && s ? De(r) : []);
  }
  return e.concat(n, De(n, [], s));
}
function Te(t) {
  return t.parent && Object.getPrototypeOf(t.parent) ? t.frameElement : null;
}
function yt(t) {
  const e = F(t);
  let s = parseFloat(e.width) || 0, o = parseFloat(e.height) || 0;
  const n = q(t), l = n ? t.offsetWidth : s, a = n ? t.offsetHeight : o, r = $e(s) !== l || $e(o) !== a;
  return r && (s = l, o = a), {
    width: s,
    height: o,
    $: r
  };
}
function xt(t) {
  return j(t) ? t : t.contextElement;
}
function ce(t) {
  const e = xt(t);
  if (!q(e))
    return N(1);
  const s = e.getBoundingClientRect(), {
    width: o,
    height: n,
    $: l
  } = yt(e);
  let a = (l ? $e(s.width) : s.width) / o, r = (l ? $e(s.height) : s.height) / n;
  return (!a || !Number.isFinite(a)) && (a = 1), (!r || !Number.isFinite(r)) && (r = 1), {
    x: a,
    y: r
  };
}
const js = /* @__PURE__ */ N(0);
function bt(t) {
  const e = T(t);
  return !Xe() || !e.visualViewport ? js : {
    x: e.visualViewport.offsetLeft,
    y: e.visualViewport.offsetTop
  };
}
function Fs(t, e, s) {
  return e === void 0 && (e = !1), !s || e && s !== T(t) ? !1 : e;
}
function be(t, e, s, o) {
  e === void 0 && (e = !1), s === void 0 && (s = !1);
  const n = t.getBoundingClientRect(), l = xt(t);
  let a = N(1);
  e && (o ? j(o) && (a = ce(o)) : a = ce(t));
  const r = Fs(l, s, o) ? bt(l) : N(0);
  let i = (n.left + r.x) / a.x, d = (n.top + r.y) / a.y, c = n.width / a.x, u = n.height / a.y;
  if (l) {
    const x = T(l), f = o && j(o) ? T(o) : o;
    let b = x, h = Te(b);
    for (; h && o && f !== b; ) {
      const v = ce(h), B = h.getBoundingClientRect(), y = F(h), k = B.left + (h.clientLeft + parseFloat(y.paddingLeft)) * v.x, w = B.top + (h.clientTop + parseFloat(y.paddingTop)) * v.y;
      i *= v.x, d *= v.y, c *= v.x, u *= v.y, i += k, d += w, b = T(h), h = Te(b);
    }
  }
  return Se({
    width: c,
    height: u,
    x: i,
    y: d
  });
}
function Ke(t, e) {
  const s = Pe(t).scrollLeft;
  return e ? e.left + s : be(K(t)).left + s;
}
function vt(t, e, s) {
  s === void 0 && (s = !1);
  const o = t.getBoundingClientRect(), n = o.left + e.scrollLeft - (s ? 0 : (
    // RTL <body> scrollbar.
    Ke(t, o)
  )), l = o.top + e.scrollTop;
  return {
    x: n,
    y: l
  };
}
function Ws(t) {
  let {
    elements: e,
    rect: s,
    offsetParent: o,
    strategy: n
  } = t;
  const l = n === "fixed", a = K(o), r = e ? _e(e.floating) : !1;
  if (o === a || r && l)
    return s;
  let i = {
    scrollLeft: 0,
    scrollTop: 0
  }, d = N(1);
  const c = N(0), u = q(o);
  if ((u || !u && !l) && ((oe(o) !== "body" || Ce(a)) && (i = Pe(o)), q(o))) {
    const f = be(o);
    d = ce(o), c.x = f.x + o.clientLeft, c.y = f.y + o.clientTop;
  }
  const x = a && !u && !l ? vt(a, i, !0) : N(0);
  return {
    width: s.width * d.x,
    height: s.height * d.y,
    x: s.x * d.x - i.scrollLeft * d.x + c.x + x.x,
    y: s.y * d.y - i.scrollTop * d.y + c.y + x.y
  };
}
function Hs(t) {
  return Array.from(t.getClientRects());
}
function Ns(t) {
  const e = K(t), s = Pe(t), o = t.ownerDocument.body, n = de(e.scrollWidth, e.clientWidth, o.scrollWidth, o.clientWidth), l = de(e.scrollHeight, e.clientHeight, o.scrollHeight, o.clientHeight);
  let a = -s.scrollLeft + Ke(t);
  const r = -s.scrollTop;
  return F(o).direction === "rtl" && (a += de(e.clientWidth, o.clientWidth) - n), {
    width: n,
    height: l,
    x: a,
    y: r
  };
}
function qs(t, e) {
  const s = T(t), o = K(t), n = s.visualViewport;
  let l = o.clientWidth, a = o.clientHeight, r = 0, i = 0;
  if (n) {
    l = n.width, a = n.height;
    const d = Xe();
    (!d || d && e === "fixed") && (r = n.offsetLeft, i = n.offsetTop);
  }
  return {
    width: l,
    height: a,
    x: r,
    y: i
  };
}
function Ys(t, e) {
  const s = be(t, !0, e === "fixed"), o = s.top + t.clientTop, n = s.left + t.clientLeft, l = q(t) ? ce(t) : N(1), a = t.clientWidth * l.x, r = t.clientHeight * l.y, i = n * l.x, d = o * l.y;
  return {
    width: a,
    height: r,
    x: i,
    y: d
  };
}
function Qe(t, e, s) {
  let o;
  if (e === "viewport")
    o = qs(t, s);
  else if (e === "document")
    o = Ns(K(t));
  else if (j(e))
    o = Ys(e, s);
  else {
    const n = bt(t);
    o = {
      x: e.x - n.x,
      y: e.y - n.y,
      width: e.width,
      height: e.height
    };
  }
  return Se(o);
}
function wt(t, e) {
  const s = ee(t);
  return s === e || !j(s) || pe(s) ? !1 : F(s).position === "fixed" || wt(s, e);
}
function Xs(t, e) {
  const s = e.get(t);
  if (s)
    return s;
  let o = De(t, [], !1).filter((r) => j(r) && oe(r) !== "body"), n = null;
  const l = F(t).position === "fixed";
  let a = l ? ee(t) : t;
  for (; j(a) && !pe(a); ) {
    const r = F(a), i = Ye(a);
    !i && r.position === "fixed" && (n = null), (l ? !i && !n : !i && r.position === "static" && !!n && ["absolute", "fixed"].includes(n.position) || Ce(a) && !i && wt(t, a)) ? o = o.filter((c) => c !== a) : n = r, a = ee(a);
  }
  return e.set(t, o), o;
}
function Ks(t) {
  let {
    element: e,
    boundary: s,
    rootBoundary: o,
    strategy: n
  } = t;
  const a = [...s === "clippingAncestors" ? _e(e) ? [] : Xs(e, this._c) : [].concat(s), o], r = a[0], i = a.reduce((d, c) => {
    const u = Qe(e, c, n);
    return d.top = de(u.top, d.top), d.right = xe(u.right, d.right), d.bottom = xe(u.bottom, d.bottom), d.left = de(u.left, d.left), d;
  }, Qe(e, r, n));
  return {
    width: i.right - i.left,
    height: i.bottom - i.top,
    x: i.left,
    y: i.top
  };
}
function Gs(t) {
  const {
    width: e,
    height: s
  } = yt(t);
  return {
    width: e,
    height: s
  };
}
function Us(t, e, s) {
  const o = q(e), n = K(e), l = s === "fixed", a = be(t, !0, l, e);
  let r = {
    scrollLeft: 0,
    scrollTop: 0
  };
  const i = N(0);
  if (o || !o && !l)
    if ((oe(e) !== "body" || Ce(n)) && (r = Pe(e)), o) {
      const x = be(e, !0, l, e);
      i.x = x.x + e.clientLeft, i.y = x.y + e.clientTop;
    } else
      n && (i.x = Ke(n));
  const d = n && !o && !l ? vt(n, r) : N(0), c = a.left + r.scrollLeft - i.x - d.x, u = a.top + r.scrollTop - i.y - d.y;
  return {
    x: c,
    y: u,
    width: a.width,
    height: a.height
  };
}
function Ae(t) {
  return F(t).position === "static";
}
function Je(t, e) {
  if (!q(t) || F(t).position === "fixed")
    return null;
  if (e)
    return e(t);
  let s = t.offsetParent;
  return K(t) === s && (s = s.ownerDocument.body), s;
}
function Ct(t, e) {
  const s = T(t);
  if (_e(t))
    return s;
  if (!q(t)) {
    let n = ee(t);
    for (; n && !pe(n); ) {
      if (j(n) && !Ae(n))
        return n;
      n = ee(n);
    }
    return s;
  }
  let o = Je(t, e);
  for (; o && Es(o) && Ae(o); )
    o = Je(o, e);
  return o && pe(o) && Ae(o) && !Ye(o) ? s : o || Is(t) || s;
}
const Qs = async function(t) {
  const e = this.getOffsetParent || Ct, s = this.getDimensions, o = await s(t.floating);
  return {
    reference: Us(t.reference, await e(t.floating), t.strategy),
    floating: {
      x: 0,
      y: 0,
      width: o.width,
      height: o.height
    }
  };
};
function Js(t) {
  return F(t).direction === "rtl";
}
const Zs = {
  convertOffsetParentRelativeRectToViewportRelativeRect: Ws,
  getDocumentElement: K,
  getClippingRect: Ks,
  getOffsetParent: Ct,
  getElementRects: Qs,
  getClientRects: Hs,
  getDimensions: Gs,
  getScale: ce,
  isElement: j,
  isRTL: Js
}, en = Ts, tn = Ms, sn = Ls, nn = Vs, on = (t, e, s) => {
  const o = /* @__PURE__ */ new Map(), n = {
    platform: Zs,
    ...s
  }, l = {
    ...n.platform,
    _c: o
  };
  return Rs(t, e, {
    ...n,
    platform: l
  });
};
function rn(t) {
  return t != null && typeof t == "object" && "$el" in t;
}
function Me(t) {
  if (rn(t)) {
    const e = t.$el;
    return qe(e) && oe(e) === "#comment" ? null : e;
  }
  return t;
}
function ae(t) {
  return typeof t == "function" ? t() : M(t);
}
function ln(t) {
  return {
    name: "arrow",
    options: t,
    fn(e) {
      const s = Me(ae(t.element));
      return s == null ? {} : nn({
        element: s,
        padding: t.padding
      }).fn(e);
    }
  };
}
function kt(t) {
  return typeof window > "u" ? 1 : (t.ownerDocument.defaultView || window).devicePixelRatio || 1;
}
function Ze(t, e) {
  const s = kt(t);
  return Math.round(e * s) / s;
}
function an(t, e, s) {
  s === void 0 && (s = {});
  const o = s.whileElementsMounted, n = g(() => {
    var _;
    return (_ = ae(s.open)) != null ? _ : !0;
  }), l = g(() => ae(s.middleware)), a = g(() => {
    var _;
    return (_ = ae(s.placement)) != null ? _ : "bottom";
  }), r = g(() => {
    var _;
    return (_ = ae(s.strategy)) != null ? _ : "absolute";
  }), i = g(() => {
    var _;
    return (_ = ae(s.transform)) != null ? _ : !0;
  }), d = g(() => Me(t.value)), c = g(() => Me(e.value)), u = O(0), x = O(0), f = O(r.value), b = O(a.value), h = At({}), v = O(!1), B = g(() => {
    const _ = {
      position: f.value,
      left: "0",
      top: "0"
    };
    if (!c.value)
      return _;
    const R = Ze(c.value, u.value), W = Ze(c.value, x.value);
    return i.value ? {
      ..._,
      transform: "translate(" + R + "px, " + W + "px)",
      ...kt(c.value) >= 1.5 && {
        willChange: "transform"
      }
    } : {
      position: f.value,
      left: R + "px",
      top: W + "px"
    };
  });
  let y;
  function k() {
    if (d.value == null || c.value == null)
      return;
    const _ = n.value;
    on(d.value, c.value, {
      middleware: l.value,
      placement: a.value,
      strategy: r.value
    }).then((R) => {
      u.value = R.x, x.value = R.y, f.value = R.strategy, b.value = R.placement, h.value = R.middlewareData, v.value = _ !== !1;
    });
  }
  function w() {
    typeof y == "function" && (y(), y = void 0);
  }
  function S() {
    if (w(), o === void 0) {
      k();
      return;
    }
    if (d.value != null && c.value != null) {
      y = o(d.value, c.value, k);
      return;
    }
  }
  function D() {
    n.value || (v.value = !1);
  }
  return ye([l, a, r, n], k, {
    flush: "sync"
  }), ye([d, c], S, {
    flush: "sync"
  }), ye(n, D, {
    flush: "sync"
  }), rt() && lt(w), {
    x: le(u),
    y: le(x),
    strategy: le(f),
    placement: le(b),
    middlewareData: le(h),
    isPositioned: le(v),
    floatingStyles: B,
    update: k
  };
}
function dn(t) {
  return rt() ? (lt(t), !0) : !1;
}
const cn = typeof window < "u" && typeof document < "u";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
function et(t, e, s = {}) {
  const {
    immediate: o = !0
  } = s, n = O(!1);
  let l = null;
  function a() {
    l && (clearTimeout(l), l = null);
  }
  function r() {
    n.value = !1, a();
  }
  function i(...d) {
    a(), n.value = !0, l = setTimeout(() => {
      n.value = !1, l = null, t(...d);
    }, Rt(e));
  }
  return o && (n.value = !0, cn && i()), dn(r), {
    isPending: Ot(n),
    start: i,
    stop: r
  };
}
function un(t = {}) {
  const {
    openDelay: e = 0,
    closeDelay: s = 150,
    onOpen: o,
    onClose: n,
    initiallyOpened: l = !1
  } = t, a = O(!1), { start: r, stop: i } = et(() => {
    a.value = !0, o == null || o();
  }, e), { start: d, stop: c } = et(() => {
    a.value = !1, n == null || n();
  }, s), u = () => {
    c(), e === 0 ? (a.value = !0, o == null || o()) : r();
  }, x = () => {
    i(), s === 0 ? (a.value = !1, n == null || n()) : d();
  };
  return l && u(), {
    isOpen: a,
    open: u,
    close: x
  };
}
const $t = Symbol("hover-card"), zt = /* @__PURE__ */ A({
  __name: "HoverCardTarget",
  props: {
    withWrapper: { type: Boolean, default: !1 },
    wrapperClass: { default: "" }
  },
  setup(t) {
    return Vt($t, null), (e, s) => e.withWrapper ? (p(), m("div", {
      key: 0,
      class: $(e.wrapperClass)
    }, [
      L(e.$slots, "default")
    ], 2)) : L(e.$slots, "default", { key: 1 });
  }
}), fn = { class: "rounded-lg bg-white dark:bg-gray-800 shadow-lg border border-gray-200 dark:border-gray-700 px-3 py-2" }, pn = /* @__PURE__ */ A({
  __name: "HoverCard",
  props: {
    initiallyOpened: { type: Boolean, default: !1 },
    openDelay: { default: 0 },
    closeDelay: { default: 150 },
    placement: { default: "bottom" },
    onOpen: {},
    onClose: {},
    offset: { default: 8 },
    disabled: { type: Boolean, default: !1 },
    size: { default: "md" },
    withArrow: { type: Boolean, default: !0 },
    arrowOffset: { default: 8 },
    trapFocus: { type: Boolean, default: !0 },
    zIndex: { default: 1e3 }
  },
  setup(t) {
    const e = t, s = O(!1);
    st(() => {
      s.value = !0;
    });
    const o = O(null), n = O(null), l = O(null), { isOpen: a, open: r, close: i } = un({
      openDelay: e.openDelay,
      closeDelay: e.closeDelay,
      initiallyOpened: e.initiallyOpened
    });
    Lt($t, {
      isOpen: a,
      open: r,
      close: i
    });
    const {
      x: d,
      y: c,
      strategy: u,
      middlewareData: x,
      placement: f,
      update: b
    } = an(n, l, {
      placement: e.placement,
      middleware: [
        en(e.offset),
        sn({
          fallbackPlacements: ["top", "bottom", "right", "left"].filter((w) => w !== e.placement)
        }),
        tn({ padding: 8 }),
        ln({ element: o })
      ]
    });
    ye(a, async (w) => {
      w && await b();
    });
    const h = g(() => {
      var w, S;
      return (S = (w = x.value) == null ? void 0 : w.arrow) == null ? void 0 : S.x;
    }), v = g(() => {
      var w, S;
      return (S = (w = x.value) == null ? void 0 : w.arrow) == null ? void 0 : S.y;
    }), B = g(() => {
      switch (f.value) {
        case "top":
          return "bottom";
        case "bottom":
          return "top";
        case "left":
          return "right";
        case "right":
          return "left";
        default:
          return "bottom";
      }
    }), y = g(() => {
      switch (f.value) {
        case "top":
          return "translate(-50%, 50%)";
        case "bottom":
          return "translate(-50%, -50%)";
        case "left":
          return "translate(50%, -50%)";
        case "right":
          return "translate(-50%, -50%)";
        default:
          return "translate(-50%, -50%)";
      }
    }), k = g(() => ({
      xs: "w-[200px]",
      sm: "w-[240px]",
      md: "w-[320px]",
      lg: "w-[400px]",
      xl: "w-[480px]"
    })[e.size]);
    return (w, S) => (p(), m("div", {
      ref_key: "reference",
      ref: n,
      class: "relative inline-block",
      onMouseenter: S[2] || (S[2] = (D) => !w.disabled && M(r)()),
      onMouseleave: S[3] || (S[3] = (D) => !w.disabled && M(i)())
    }, [
      Re(zt, null, {
        default: ke(() => [
          L(w.$slots, "target")
        ]),
        _: 3
      }),
      s.value ? (p(), I(ot, {
        key: 0,
        to: "body"
      }, [
        Re(Ie, {
          "enter-active-class": "transition duration-200 ease-out",
          "enter-from-class": "opacity-0 translate-y-1",
          "enter-to-class": "opacity-100 translate-y-0",
          "leave-active-class": "transition duration-150 ease-in",
          "leave-from-class": "opacity-100 translate-y-0",
          "leave-to-class": "opacity-0 translate-y-1"
        }, {
          default: ke(() => [
            M(a) ? (p(), m("div", {
              key: 0,
              ref_key: "floating",
              ref: l,
              style: E({
                position: M(u),
                top: `${M(c) ?? 0}px`,
                left: `${M(d) ?? 0}px`,
                zIndex: w.zIndex || 1e3
              }),
              class: $(["min-w-[200px]", [k.value]]),
              onMouseenter: S[0] || (S[0] = (D) => !w.disabled && M(r)()),
              onMouseleave: S[1] || (S[1] = (D) => !w.disabled && M(i)())
            }, [
              C("div", fn, [
                L(w.$slots, "dropdown")
              ]),
              w.withArrow ? (p(), m("div", {
                key: 0,
                ref_key: "arrowRef",
                ref: o,
                class: "absolute w-2 h-2 rotate-45 bg-white dark:bg-gray-800 border border-gray-200 dark:border-gray-700",
                style: E({
                  position: "absolute",
                  left: `${h.value ?? 0}px`,
                  top: `${v.value ?? 0}px`,
                  [B.value]: "-1px",
                  "z-index": -1,
                  "transform-origin": "center",
                  transform: `rotate(45deg) ${y.value}`
                })
              }, null, 4)) : z("", !0)
            ], 38)) : z("", !0)
          ]),
          _: 3
        })
      ])) : z("", !0)
    ], 544));
  }
});
Object.assign(pn, {
  Target: zt
});
const An = {}, hn = {
  key: 0,
  class: "badge-section mr-2"
}, gn = { class: "badge-label" }, mn = {
  key: 1,
  class: "badge-section ml-2"
}, On = /* @__PURE__ */ A({
  __name: "Badge",
  props: {
    size: { default: "md" },
    circle: { type: Boolean, default: !1 },
    radius: { default: "xl" },
    color: { default: "primary" },
    gradient: {},
    leftSection: {},
    rightSection: {},
    fullWidth: { type: Boolean, default: !1 },
    variant: { default: "filled" }
  },
  setup(t) {
    const e = t, s = (l) => ({
      none: "rounded-none",
      xs: "rounded",
      sm: "rounded-md",
      md: "rounded-lg",
      lg: "rounded-xl",
      xl: "rounded-2xl",
      full: "rounded-full"
    })[l] || "rounded-lg", o = (l) => `relative pl-6 before:absolute before:left-2 before:top-1/2 before:-translate-y-1/2 before:w-2 before:h-2 before:rounded-full before:bg-${l}-500`, n = g(() => {
      var u, x;
      const l = "inline-flex items-center justify-center font-medium", a = e.variant === "gradient" ? `bg-gradient-to-r from-${(u = e.gradient) == null ? void 0 : u.from} to-${(x = e.gradient) == null ? void 0 : x.to} text-white` : se(e.color, e.variant), r = Z(e.size, "badge"), i = s(e.radius), d = e.variant === "dot" ? o(e.color) : "";
      return [
        l,
        a,
        r,
        i,
        d,
        {
          "aspect-square p-0": e.circle,
          "w-full": e.fullWidth
        }
      ].filter(Boolean).join(" ");
    });
    return (l, a) => (p(), m("div", {
      class: $(n.value)
    }, [
      l.leftSection ? (p(), m("span", hn, [
        typeof l.leftSection == "string" ? (p(), m(ue, { key: 0 }, [
          ie(P(l.leftSection), 1)
        ], 64)) : (p(), I(J(l.leftSection), { key: 1 }))
      ])) : z("", !0),
      C("span", gn, [
        L(l.$slots, "default")
      ]),
      l.rightSection ? (p(), m("span", mn, [
        typeof l.rightSection == "string" ? (p(), m(ue, { key: 0 }, [
          ie(P(l.rightSection), 1)
        ], 64)) : (p(), I(J(l.rightSection), { key: 1 }))
      ])) : z("", !0)
    ], 2));
  }
});
export {
  Sn as Alert,
  On as Badge,
  xn as Button,
  bn as Checkbox,
  kn as Chip,
  Bn as Collapse,
  Pn as Dialog,
  pn as HoverCard,
  zt as HoverCardTarget,
  $n as Indicator,
  _n as Loader,
  zn as Progress,
  vn as Radio,
  Cn as Select,
  wn as TextInput,
  An as composables,
  $t as hoverCardInjectionKey,
  un as useHoverCard
};
